Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

SambaNova API key, sent as a bearer token in the Authorization header (Authorization: Bearer <key>). Default authentication scheme used by the SambaNova SDK across every OpenAI compatible endpoint.

Body

multipart/form-data

Audio to transcribe and parameters

Transcription request object

model
required

The model ID to use See available models

file
file
required

The audio file object to transcribe or translate, in one of these formats: FLAC, MP3, MP4, MPEG, MPGA, M4A, Ogg, WAV, or WebM format. File size limit is 25MB.

prompt
string | null

Optional text prompt provided to influence transcription Translation style or vocabulary. Example: “Please transcribe carefully, including pauses and hesitations.”

language
enum<string> | null

Optional language of the input audio. Supplying the input language in ISO-639-1 (e.g. en) format will improve accuracy and latency.

Available options:
en,
zh,
de,
es,
ru,
ko,
fr,
ja,
pt,
tr,
pl,
ca,
nl,
ar,
sv,
it,
id,
hi,
fi,
vi,
he,
uk,
el,
ms,
cs,
ro,
da,
hu,
ta,
no,
th,
ur,
hr,
bg,
lt,
la,
mi,
ml,
cy,
sk,
te,
fa,
lv,
bn,
sr,
az,
sl,
kn,
et,
mk,
br,
eu,
is,
hy,
ne,
mn,
bs,
kk,
sq,
sw,
gl,
mr,
pa,
si,
km,
sn,
yo,
so,
af,
oc,
ka,
be,
tg,
sd,
gu,
am,
yi,
lo,
uz,
fo,
ht,
ps,
tk,
nn,
mt,
sa,
lb,
my,
bo,
tl,
mg,
as,
tt,
haw,
ln,
ha,
ba,
jw,
su,
yue
response_format
enum<string>
default:json

The format of the output. json and verbose_json return a JSON object (verbose_json adds task, language, duration and segments); text, srt and vtt return plain text.

Available options:
json,
text,
verbose_json,
srt,
vtt
timestamp_granularities
enum<string>[]

The timestamp granularities to populate. Requires response_format set to verbose_json. Only segment is supported; segment timings are approximate within each 30-second audio chunk.

Available options:
segment

Response

Successful Response

Transcription response json object

text
string
required

audio file text transcription

task
enum<string>

The task performed. Only returned with response_format set to verbose_json.

Available options:
transcribe,
translate
language
string

The language of the input audio. Only returned with response_format set to verbose_json.

duration
number

The duration of the input audio in seconds. Only returned with response_format set to verbose_json.

segments
Transcription Segment · object[]

Segments of the transcribed text with their timings. Only returned with response_format set to verbose_json.